.\"	$NetBSD: ppp.4,v 1.12 2005/01/10 18:03:37 hubertf Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     From:	@(#)lo.4	8.1 (Berkeley) 6/5/93
.\"
.Dd January 10, 2005
.Dt PPP 4
.Os
.Sh NAME
.Nm ppp
.Nd point to point protocol network interface
.Sh SYNOPSIS
.Cd options PPP_BSDCOMP
.Cd options PPP_DEFLATE
.Cd options PPP_FILTER
.Pp
.Cd pseudo-device ppp
.Sh DESCRIPTION
The
.Nm
interface allows serial lines to be used as network interfaces using the
.Em Point-to-Point Protocol
(PPP).
The
.Nm
interface can use various types of compression and has many features
over the SLIP protocol used by the
.Xr sl 4
interface.
.Pp
Supported options are:
.Bl -tag -width 20n -compact
.It Cd options PPP_BSDCOMP
Enable support for BSD-compress (`bsdcomp') compression in ppp.
.It Cd options PPP_DEFLATE
Enable support for deflate compression in ppp.
.It Cd options PPP_FILTER
This option turns on
.Xr pcap 3
based filtering for ppp connections.
This option is used by
.Xr pppd 8
which needs to be compiled with
.Em PPP_FILTER
defined (the current default).
.El
.Sh DIAGNOSTICS
.Bl -diag
.It ppp%d: af%d not supported .
The interface was handed
a message with addresses formatted in an unsuitable address
family; the packet was dropped.
.El
.Sh SEE ALSO
.Xr inet 4 ,
.Xr intro 4 ,
.Xr sl 4 ,
.Xr pppd 8 ,
.Xr pppstats 8
.Rs
.%R RFC 1661
.%D July 1994
.%T "The Point-to-Point Protocol (PPP)"
.Re
.Sh HISTORY
The
.Nm
device appeared in
.Nx 1.0 .
.Sh BUGS
Currently, only the
.Xr ip 4
and
.Xr ip6 4
protocols are supported.
